#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - login_defs preinstallation
#
# Creation   :  2023-08-21 holbru
# Last update:  $Id: preinstall.sh 106011 2023-08-21 12:41:13Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=login_defs

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(/usr/bin/eisman check shadow 3.4.1)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/shadow-files.txt ]
    then
        /usr/bin/sed -i '/etc\/login.defs.d$/d' /etc/filelist.d/shadow-files.txt
        /usr/bin/sed -i '/usr\/etc\/login.defs$/d' /etc/filelist.d/shadow-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
